int evalr (){
	int a,b;
	extern int extc;
	extern int extd;
	extc = 0;
	extd = 0;
	for(b=0; b<4; b++){
		a = evals(extc + b);
		extd = a + extd;
	}
	return a;
}

int evals(int ee){
	int ff = 0;
	if(ee == 1){
		extc++;
	}else if(ee == 2){
		extd++;
	}else{
		ff = extc + extd;
	}
	return ff;
}
